> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Customization



## OpenAPI

````yaml PATCH /api/v1/status-pages/{id}/customization
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v1/status-pages/{id}/customization:
    patch:
      tags:
        - status-pages
      summary: Update customization for a status page
      operationId: ManagementCustomizationController_updateCustomization_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCustomizationDto'
      responses:
        '200':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    UpdateCustomizationDto:
      type: object
      properties:
        primaryColor:
          type: string
        accentColor:
          type: string
        backgroundColor:
          type: string
        foregroundColor:
          type: string
        primaryForegroundColor:
          type: string
        cardColor:
          type: string
        cardForegroundColor:
          type: string
        mutedColor:
          type: string
        mutedForegroundColor:
          type: string
        borderColor:
          type: string
        textColor:
          type: string
        useDarkTheme:
          type: boolean
        showSubscriptionButton:
          type: boolean
        showRecentUpdatesSection:
          type: boolean
        hideHeaderName:
          type: boolean
        shadowStyle:
          type: string
        borderRadiusStyle:
          type: string
        defaultLanguage:
          type: string
        headerDisplayName:
          type: string
        customCss:
          type: string
        customHeaderHtml:
          type: string
        customFooterHtml:
          type: string
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````